import './index.less';
import { getVisibleAttribues } from '../demos';
const TableContent = (props) => {
  const { data } = props;
  const handleData = () => {
    return getVisibleAttribues([data.attributes], data.fields);
  };
  let tableArr = handleData()[0].show;
  return (
    <div className="contentAll">
      <div className="wriper">
        <div className="header">
          <span>属性列表</span>
        </div>
        <div className="contaner">
          <ul>
            {Object.getOwnPropertyNames(tableArr).map((key, index) => {
              return (
                <li key={index}>
                  <span title={key}>{key}</span>
                  <span title={tableArr[key][1]}>{tableArr[key][1]}</span>
                </li>
              );
            })}
          </ul>
        </div>
        <div className="footer"></div>
      </div>
    </div>
  );
};
export { TableContent };
